This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 237929 - [packaging bug] Unowned directories
[packaging bug] Unowned directories
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
5.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Alexander Kurtakov
desktop-bugs@redhat.com
:
Depends On: 237927 237928
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 02:31 EDT by Ben Konrath
Modified: 2013-03-11 15:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 15:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2007-04-26 02:31:49 EDT
+++ This bug was initially created as a clone of Bug #211008 +++

The directory /usr/lib/eclipse and its subdirectories are not owned by any of
the eclipse packages as they should.

-- Additional comment from bkonrath@redhat.com on 2006-10-16 18:23 EST --
Thanks, I'll fix this soon.

-- Additional comment from bkonrath@redhat.com on 2007-01-08 13:36 EST --
This is fixed in rawhide. Thanks.

-- Additional comment from bkonrath@redhat.com on 2007-02-21 16:56 EST --
A fix for this will also be in the upcoming 3.2.2-1.fc6 update. Thanks.
Comment 1 Ben Konrath 2007-04-27 00:56:06 EDT
This bug causes the following directories to be left behind when eclipse is removed:

/usr/lib{,64}/eclipse
/usr/lib{,64}/eclipse/plugins
/usr/lib{,64}/eclipse/features
/usr/lib{,64}/eclipse/configuration
/usr/lib{,64}/eclipse/configuration/org.eclipse.osgi
/usr/lib{,64}/eclipse/configuration/org.eclipse.osgi/bundles

Test for fix:

1) install eclipse-sdk
2) remove eclipse-rcp, libswt3-gtk2 and eclipse-ecj
3) ensure that /usr/lib{,64}/eclipse and subdirectories have been removed
Comment 2 RHEL Product and Program Management 2007-12-03 15:42:23 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Alexander Kurtakov 2013-03-11 15:47:15 EDT
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on. Please use Eclipse from RHEL 6 if you need newer Eclipse version.

Note You need to log in before you can comment on or make changes to this bug.